List active products
curl -X GET "https://api.moov.io/accounts/{accountID}/products" \
-H "Authorization: Bearer {token}" \
using Moov.Sdk;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(xMoovVersion: "<value>");
ListProductsRequest req = new ListProductsRequest() {
AccountID = "cd696219-4308-446c-b0d8-1759254995c2",
Skip = 60,
Count = 20,
};
var res = await sdk.Products.ListAsync(req);
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListProductsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListProductsResponse res = sdk.products().list()
.accountID("cd696219-4308-446c-b0d8-1759254995c2")
.skip(60L)
.count(20L)
.call();
if (res.products().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
req = Models::Operations::ListProductsRequest.new(
account_id: 'cd696219-4308-446c-b0d8-1759254995c2',
skip: 60,
count: 20,
)
res = s.products.list(request: req)
unless res.products.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.products.list({
accountID: "cd696219-4308-446c-b0d8-1759254995c2",
skip: 60,
count: 20,
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\ListProductsRequest(
accountID: 'cd696219-4308-446c-b0d8-1759254995c2',
skip: 60,
count: 20,
);
$response = $sdk->products->list(
request: $request
);
if ($response->products !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.products.list(account_id="cd696219-4308-446c-b0d8-1759254995c2", skip=60, count=20)
# Handle response
print(res)[
{
"productID": "string",
"title": "string",
"description": "string",
"basePrice": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"optionGroups": [
{
"name": "string",
"description": "string",
"minSelect": 0,
"maxSelect": 1,
"options": [
{
"name": "string",
"description": "string",
"priceModifier": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "q7lKWleAy9fUNhEGezQ1g"
}
]
}
]
}
],
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "q7lKWleAy9fUNhEGezQ1g"
}
],
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z",
"disabledOn": "2019-08-24T14:15:22Z"
}
]Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Query parameters
title
string
skip
integer
<int64>
count
integer
<int64>
200Response
basePrice
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
createdOn
string<date-time>
description
string
<=5000 characters
A detailed description of the product.
- Must be valid UTF-8 text
- Supports Markdown for formatting
- HTML is not permitted and will be rejected
disabledOn
string<date-time>
images
array<object>
optionGroups
array<object>
Show child attributes
description
string
<=500 characters
A detailed description of the option group.
- Must be valid UTF-8 text
- Supports Markdown for formatting
- HTML is not permitted and will be rejected
maxSelect
integer<int32>
minSelect
integer<int32>
The minimum number of options that must be selected from this group.
A value of 0 indicates that no selection from this group is required.
name
string
<=100 characters
options
array<object>
Show child attributes
description
string
<=500 characters
A detailed description of the option.
- Must be valid UTF-8 text
- Supports Markdown for formatting
- HTML is not permitted and will be rejected
images
array<object>
Show child attributes
altText
string
<=125 characters
imageID
string
link
string<uri>
publicID
string
name
string
[1 to 100] characters
priceModifier
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
productID
string
title
string
<=150 characters
updatedOn
string<date-time>